# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::ZippedFileInfo Class Reference

Collects the information about a ZippedFile. More...

`#include <ZippedFile.hpp>`

Inheritance diagram for vl::ZippedFileInfo:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| ZippedFileInfo ()
unsigned short | versionNeeded () const
unsigned short | generalPurposeFlag () const
unsigned short | compressionMethod () const
unsigned int | crc32 () const
unsigned int | compressedSize () const
unsigned int | uncompressedSize () const
unsigned short | fileNameLength () const
unsigned short | extraFieldLength () const
int | second () const
int | minute () const
int | hour () const
int | day () const
int | month () const
int | year () const
const String & | path () const
unsigned int | zippedFileOffset () const
VirtualFile * | sourceZipFile () const
void | setSourceZipFile (VirtualFile *file)

## Public Attributes

unsigned short | mVersionNeeded
unsigned short | mGeneralPurposeFlag
unsigned short | mCompressionMethod
unsigned int | mCRC32
unsigned int | mCompressedSize
unsigned int | mUncompressedSize
unsigned short | mFileNameLength
unsigned short | mExtraFieldLength
int | mSecond
int | mMinute
int | mHour
int | mDay
int | mMonth
int | mYear
String | mFileName
unsigned int | mZippedFileOffset
ref< VirtualFile > | mSourceZipFile

## Friends

class | ZippedFile
class | ZippedDirectory

## Detailed Description

Collects the information about a ZippedFile.

## Constructor & Destructor Documentation

vl::ZippedFileInfo::ZippedFileInfo | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::ZippedFileInfo::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

unsigned short vl::ZippedFileInfo::versionNeeded | ( |  | ) | const`[inline]`

unsigned short vl::ZippedFileInfo::generalPurposeFlag | ( |  | ) | const`[inline]`

unsigned short vl::ZippedFileInfo::compressionMethod | ( |  | ) | const`[inline]`

unsigned int vl::ZippedFileInfo::crc32 | ( |  | ) | const`[inline]`

unsigned int vl::ZippedFileInfo::compressedSize | ( |  | ) | const`[inline]`

unsigned int vl::ZippedFileInfo::uncompressedSize | ( |  | ) | const`[inline]`

unsigned short vl::ZippedFileInfo::fileNameLength | ( |  | ) | const`[inline]`

unsigned short vl::ZippedFileInfo::extraFieldLength | ( |  | ) | const`[inline]`

int vl::ZippedFileInfo::second | ( |  | ) | const`[inline]`

int vl::ZippedFileInfo::minute | ( |  | ) | const`[inline]`

int vl::ZippedFileInfo::hour | ( |  | ) | const`[inline]`

int vl::ZippedFileInfo::day | ( |  | ) | const`[inline]`

int vl::ZippedFileInfo::month | ( |  | ) | const`[inline]`

int vl::ZippedFileInfo::year | ( |  | ) | const`[inline]`

const String& vl::ZippedFileInfo::path | ( |  | ) | const`[inline]`

unsigned int vl::ZippedFileInfo::zippedFileOffset | ( |  | ) | const`[inline]`

VirtualFile* vl::ZippedFileInfo::sourceZipFile | ( |  | ) | const`[inline]`

void vl::ZippedFileInfo::setSourceZipFile | ( | VirtualFile * | file | ) | `[inline]`

## Friends And Related Function Documentation

friend class ZippedFile`[friend]`

friend class ZippedDirectory`[friend]`

## Member Data Documentation

unsigned short vl::ZippedFileInfo::mVersionNeeded

unsigned short vl::ZippedFileInfo::mGeneralPurposeFlag

unsigned short vl::ZippedFileInfo::mCompressionMethod

unsigned int vl::ZippedFileInfo::mCRC32

unsigned int vl::ZippedFileInfo::mCompressedSize

unsigned int vl::ZippedFileInfo::mUncompressedSize

unsigned short vl::ZippedFileInfo::mFileNameLength

unsigned short vl::ZippedFileInfo::mExtraFieldLength

int vl::ZippedFileInfo::mSecond

int vl::ZippedFileInfo::mMinute

int vl::ZippedFileInfo::mHour

int vl::ZippedFileInfo::mDay

int vl::ZippedFileInfo::mMonth

int vl::ZippedFileInfo::mYear

String vl::ZippedFileInfo::mFileName

unsigned int vl::ZippedFileInfo::mZippedFileOffset

ref<VirtualFile> vl::ZippedFileInfo::mSourceZipFile

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/ZippedFile.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:47 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.